local L = LibStub("AceLocale-3.0"):NewLocale("PersonalLootTrader", "enUS", true) 
if not L then return end

local MSAbrev = 'MS' --This is what will be used for Main Spec rolls. Whisper this to the user to enter.
local OSAbrev = 'OS'  --This is what will be used for Off Spec rolls. Whisper this to the user to enter.
local AddonAbrev = '[PLT]'
local searchAbbrev = "%[PLT%]"
L["S_MainSpecAbreviation"] = MSAbrev
L["S_OffSpecAbreviation"] = OSAbrev
L["S_ADDON_ABREV"] = AddonAbrev 
L["S_SEARCH_ABREV"] = searchAbbrev 
L["S_SECOND_COUNT"] = "(%ss)"
--L["S_MAY_TRADE"] = "You may trade" --This is what it searches the tooltip for to see if you can trade the personal loot (The text that shows up in blue on the item tooltip). It has to match exactly with the string in other language. I'm not sure if this is the best way.
L["S_MAY_SELL"] = "You may sell"
L["S_CURRENTLY_SELECTED"] = "|cFFFFFFFFSelected:|r\n "
L["S_WINNER_SELECTED"] = "|cFFFFFFFFWinner:|r\n "
L["S_TIE_SELECTED"] = "|cFFFF0101<Tie>|r"
L["S_TIE_WHISPER"] = AddonAbrev .. " There is a tie. Please '/roll %s' again."
L["DRAG_EXPLAIN"] = "Drag here\nto trade"
L["S_NO_WINNER"] = "No Winner Selected"
L["S_SOULBOUND"] = "Soulbound" --This next to be the exact text that shows up on the tooltip when an item is Soulbound. Do /plt <ItemLink> to test. Soulbound items should not show up for roll. Trash like grey items should.
L["S_WRONG_PERSON_WARNING"] = "|cFFFF0101WARNING|r: This is not the person who won the roll!"
L["S_TRADE_COMPLETE"] = "Trade Complete"
L["S_TRADE_FAILED_CHECK"] = "Error. You still have the item!"
L["S_ADDON_NAME"] = "Personal Loot Trader" --This shows up on the window title
L["S_ROLLER_NAME"] = "Personal Loot Roller" --This shows up on the window title of the roller
L["S_GROUP_ROLL"] = "Group Roll"
L["S_ROLL"] = "ROLL" --What you type to roll (/roll) Must be in caps


L["S_GROUP_ROLL_DESC"] = "Adds 100 to each roll number. If someone else has started an auto roll using this addon then it will automatically add an extra 100 which creates a unique roll number for each person."
L["S_GIVE_DESC"] = "Target someone in the raid before clicking this button to easily find and trade the item to that person. No raid/party messages will be sent."
L["S_HOW_TO_DISABLE"] = "Disable this tooltip in the options."
L["S_OS_DESC"] = "Allows a secondary roll for things other than MS/Need. You can customize this in the options menu."

L["S_AUTO"] = "Auto"
L["S_INITIATE_TRADE"] = "Initiate Trade"
L["S_FOLLOW"] = "Follow"
L["S_ROLL_CANCELLED"] = "The roll for %s has been cancelled." --"%s = item link"
L["S_ROLL"] = "Roll" --Button text when the addons thinks someone is giving away loot
L["S_SECONDS"] = "Seconds"
L["S_MAINSPEC"] = "Main Spec: "
L["S_OFFSPEC"] = "Off Spec: "
L["S_YOUWON"] = "You won.\nOpen trade." 
L["S_ONLY_ONE_INSTANCE"] = "You can only have one Trader window open at a time."
L["S_WINNER_ANNOUNCE"] = "%s has won %s."
L["S_HAS_WON"] = "%s has won the roll."
L["S_HAVE_WON"] = "You have won the roll from %s"
L["S_NO_TARGET"] = "Either you have no target or your target is not in the raid."

L["S_NO_ONE"] = "No one wanted your item."
L["S_OPEN_TRADE"] = "Open trade for %s."
L["S_WINNER"] = "Winner" --This will show up as 'Winner (MSAbrev): '. Winner's name will be on next line.
L["S_NO_PREVIOUS"] = "You have not looted a tradable personal loot item since logging in."
L["S_NOT_TRADABLE"] = "The item you are trying to start a roll for is not tradable."
L["S_ONLY_GROUP"] = "You can only start a roll while in a group. Type '/plt help' for a list of commands."
L["S_ITEM_NOT_FOUND"] = "Item not found or can not be traded. Aborting."
L["S_SLASH_EXPLANATION"] = "Valid Commands:\n'/plt opt' - Opens the options menu\n'/plt [Item Link]' - Start a roll with this item\n'/plt prev' or '/plt p' - Start a roll with the last item you looted.\n'/plt resetpos' - Reset the position of all of the windows"
L["S_RESET_POS"] = "The positions of the windows have been reset."
L["S_PICK_WINNER"] = "Pick Winner"
L["S_NEW_WINNER"] = "New Winner"
L["S_REROLL"] = "Ask For Reroll"
L["S_CANCEL"] = "Cancel"
L["S_PASS"] = "Pass"

L["S_GIVE"] = "Give to\nTarget"
L["S_START_ROLL"] = "Start Roll"
L["S_KEEP"] = "Keep"
L["S_EDIT"] = "Edit Msg"

L["S_NO_ROLL"] = "No one has rolled yet."

L["S_ROLL_ERROR"] = "Your addon is out of date. Can't properly receive an item."
L["S_AWAITING_WINNER"] = "Waiting for a winner to be chosen"
L["S_ANOTHER_ADDON"] = "from another addon.\nMight not update." --gets added after previous line if roll is from another addon (PLH PLR)
L["S_SLASH_EXPLANATION_TWO"] = "This wasn't an item link or valid command. Type '/plt help' for valid commands"
L["S_CONFIRMATION"] = "Item found. Make sure that it is tradable before doing a roll!"
L["S_PREV_NOT_FOUND"] = "Either the previous tradeable equipment that you looted can not be found or you have not looted a tradeable item since logging in."
L["S_WELCOME"] = "Welcome to Personal Loot Trader. Type '/plt options' for options. Type '/plt <Item Link>' to put item up for roll. Type '/plt prev' to put last acquired item up for roll. Make sure it's tradable!"

L["S_OFFER_WORDS"] = {"ROLL", "ANYONE NEED", "ANYONE WANT", "WHO NEED", "WHO WANT", "ANYBODY WANT", "ANYBODY NEED"} --When someone links their loot in chat it searches for these words to pop up a loot roll box
L["S_IGNORE_WORDS"] = {"ROLLED", "CANCELLED"}
-- options window
L["S_TRADER_OPTIONS"] = "Trader Options"
L["S_MULTI_ROLL_OPTIONS"] = "Secondary Roll Message Options"
L["S_MS_ONLY_OPTIONS"] = "Single Roll Type Message Options"

L["S_SCALE"] = "Scale"
L["S_SCALE_DESC"] = "Changes the scale of the frames."

L["S_DEBUGGING"] = "Debugging"
L["S_DEBUGGING_DESC"] = "Probably don't turn this on. Removes a lot of restrictions on what shows up & enables debug messages."

L["S_TOOLTIPS"] = "Tooltips"
L["S_TOOLTIPS_DESC"] = "Shows tooltips on the trade window that explain what each button does."

L["S_ROLLER_OPTIONS"] = "Roller Options"
L["S_AUTO_SHOW"] = "Auto Show"
L["S_AUTO_SHOW_DESC"] = "Automatically show the trader window when you receive tradable loot"

L["S_RECEIVE"] = "Receive"
L["S_RECEIVE_DESC"] = "Receive rolls sent from other members of the party." 

L["S_CHAT_SEARCH"] = "Search Chat" 
L["S_CHAT_SEARCH_DESC"] = "Search group chat and attempt to determine if someone is offering an item for roll. It will default to a /roll 100 if there is no specified number in their message."

L["S_USE_TIMER"] = "Use Timer"
L["S_TIMER"] = "Timer"
L["S_USE_TIMER_DESC"] = "Enables a loot timer. When the timer is over the chosen player will automatically be picked as the winner. If you do not use the timer then you can pick a winner at any time."

L["S_CHAT_TIMER_SLIDER"] = "Chat Roll Length"
L["S_CHAT_TIMER_SLIDER_DESC"] = "How long the item put up for roll from chat will show up for in the roller window"

L["S_MS_MSG"] = "Roll Description 1"
L["S_MS_DESC"] = "What you want the higher roll value to represent.\nExamples: MS/Need"

L["S_OS_MSG"] = "Roll Description 2"
L["S_OS_DESC_OPT"] = "What you want the lower roll value to represent.\nExamples: OS/Greed/Tmog"

L["S_ABBREV_ERROR1"] = "Error. This field must contain at least one character"
L["S_ABBREV_ERROR2"] = "Error. This value must be 8 characters or less."

L["S_MSG_ERROR1"] = "This string must contain '[r1]', '[d1]', '[r2]', and '[d2]'. These values will be replaced with the roll numbers and descriptions."
L["S_MSG_ERROR2"] = "This string must contain '[r1]'. [r1] will be replaced with the roll number."

L["S_MSG"] = "Loot Roll Message"
L["S_MSG_DESC"] = "Message sent to group chat when starting a roll.\n\nWARNING:\nThis text must contain '[r1]', '[d1]', '[r2]', and '[d2]'"
L["S_MSG_TOOLONG"] = "ERROR: This message can not be longer than 60 characters."
L["S_MSG_MS_DESC"] = "Message sent to the group chat when starting a MS/Need only roll.\nExample: /roll [r1] if you need"

L["S_RCLC_OPTIONS"] = "RCLC Integration"
L["S_RCLC_TRADE"] = "Replace Trade Window"
L["S_RCLC_TRADE_DESC"] = "Replace the RCLC trade window with the PLT trade window. Use this if you want to use the follow feature to make it easier to find the winner."
L["S_RCLC_HIDE"] = "RCLC usage detected. Hiding."

L["S_RCLC_STOP_PLT"] = "RCLC Detection"
L["S_RCLC_STOP_PLT_DESC"] = "Do not auto open PLT when RCLC usage is detected. This only works if the master looter allows you to pick the item."

L["S_ANNOUNCE_WINNER"] = "Announce Winner"
L["S_ANNOUNCE_WINNER_DESC"] = "Announce winner to group chat after one is chosen."

L["S_WHISPER_WINNER"] = "Whisper Winner"
L["S_WHISPER_WINNER_DESC"] = "Whisper the winner asking them to open trade."

L["S_DEFAULT"] = "Default" 
L["S_DEFAULT_DESC"] = "Change the message back to the default."

L["S_ABBREV_DEFAULT_DESC"] = "Change the descriptions back to the defaults."

L["S_ROLL_MSG"] = '"/roll [r1]" for [d1] or "/roll [r2]" for [d2].'
L["S_MS_ROLL_MSG"] = '"/roll [r1]"'

L["S_SPEC_OPTIONS"] = "Loot Filter Options (Trinkets are always shown)"
L["S_MS_SPEC_DESC"] = "Show items for this loot spec."

L["S_TIMER_SLIDER"] = "Timed Roll Length"
L["S_TIMER_SLIDER_DESC"] = "How long to wait before picking the winner when 'Use Timer' is checked." 
L["S_SECONDS_ABREV"] = "s" --abbreviation for seconds
L["S_ROLL_MSG_EXP"] = "Start Roll Chat Message: "
L["S_DUPLICATE_ROLL_NUM"] = "This roll number is already taken. Someone may have sent a roll at the same time as you. Restarting the roll."